Restore
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}
The ID of the target environment
default response
POST /rest/restore/{environmentId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 297
{
"backupId": "123e4567-e89b-12d3-a456-426614174000",
"backupVersion": "text",
"database": "text",
"dgcRestoreOptions": [
"CUSTOMIZATIONS",
"CONFIGURATION"
],
"key": "text",
"managedServiceTypes": [
"REPOSITORY"
],
"repoRestoreOptions": [
"DATA",
"HISTORY"
],
"resetCustomizations": true,
"skipRestorePostprocessing": true
}default response
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /applyConsoleExport/{environmentId}/cancel
The ID of the target environment
default response
PUT /rest/restore/{environmentId}/cancel HTTP/1.1
Accept: */*
default response
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}/factoryDefaults
The ID of the target environment
default response
POST /rest/restore/{environmentId}/factoryDefaults HTTP/1.1
Accept: */*
default response
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /applyConsoleExport/{environmentId}/state
The ID of the target environment
default response
GET /rest/restore/{environmentId}/state HTTP/1.1
Accept: */*
default response
Last updated
Was this helpful?